#replace /etc/skel/.bashrc and /root/.bashrc with a symlink to /etc/saltbashrc
/etc/saltbashrc:
  file.managed:
    - source: salt://bashrc/bashrc
    - user: root
    - group: root
    - mode: 444

/etc/skel/.bashrc:
  file.symlink:
    - target: /etc/saltbashrc
    - force: true
    - makedirs: true

/root/.bashrc:
  file.symlink:
    - target: /etc/saltbashrc
    - force: true
    - makedirs: true

/root/.profile:
  file.symlink:
    - target: /etc/saltbashrc
    - force: true
    - makedirs: true

#change to local admin user and remove constraint when that's properly set up
{% if grains['os_family'] == 'Debian' %}
/home/masau/.bashrc:
  file.symlink:
    - target: /etc/saltbashrc
    - force: true
    - makedirs: true
{% endif %}
