base-devel:
  pkg.group_installed

sudo:
  pkg.installed

python-pip:
  pkg.installed

docker:
  pkg.installed

install_aurblobs:
  pip.installed:
    - name: aurblobs
    - upgrade: true

{% if pillar['aur'] is defined -%}
{% if pillar['aur']['require'] is defined -%}
{% for pkg in pillar['aur']['require'] %}
aur_require_{{pkg}}:
  pkg.installed:
    - name: "{{pkg}}"
{%- endfor -%}
{%- endif -%}
{%- endif %}

user-build:
  user.present:
    - name: build
    - createhome: true
  file.append:
    - name: /etc/sudoers
    - text: "build ALL=(ALL) NOPASSWD: ALL"

/repo:
  file.symlink:
    - target: /mnt/pkgs/aur-local/os/x86_64/

/build:
  file.symlink:
    - target: /mnt/build/



/etc/aur_repo/pkglist:
  file.managed:
    - source: salt://roles/maintain/aurrepo/pkglist
    - user: root
    - group: root
    - mode: 644
    - makedirs: true
    - template: jinja

"/usr/lib/systemd/system/updateaur.service":
  file.managed:
    - source: salt://roles/maintain/aurrepo/updateaur.service
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/updateaur.timer":
  file.managed:
    - source: salt://roles/maintain/aurrepo/updateaur.timer
    - user: root
    - group: root
    - mode: 644

"updateaur.timer":
  service.running:
    - enable: true
