sudo:
  pkg.installed

base-devel:
  pkg.installed

aur_builder_repo:
  file.managed:
    - name: /etc/pacman.d/aur_builder
    - source: salt://roles/maintain/aurutils/aur_builder

include_aur_builder_repo:
  file.append:
    - name: /etc/pacman.conf
    - text: Include = /etc/pacman.d/aur_builder

user-build:
  user.present:
    - name: build
    - createhome: true
  file.append:
    - name: /etc/sudoers
    - text: "build ALL=(ALL) NOPASSWD: ALL"

/repo:
  file.symlink:
    - target: /mnt/pkgs/archlinux/aur-local/os/x86_64/

/build:
  file.symlink:
    - target: /mnt/build/

"/usr/lib/systemd/system/updateaur.service":
  file.managed:
    - source: salt://roles/maintain/aurutils/updateaur.service
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/updateaur.timer":
  file.managed:
    - source: salt://roles/maintain/aurutils/updateaur.timer
    - user: root
    - group: root
    - mode: 644

#"updateaur.timer":
#  service.running:
#    - enable: true
