"/root/scripts/backup.sh":
  file.managed:
    - source: salt://roles/maintain/backup/backup.sh
    - user: root
    - group: root
    - mode: 644
    - makedirs: true
    - template: jinja
    - context:
      bnames: {{ pillar['backup'] }}

"/usr/lib/systemd/system/backup.service":
  file.managed:
    - source: salt://roles/maintain/backup/backup.service
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/backup.timer":
  file.managed:
    - source: salt://roles/maintain/backup/backup.timer
    - user: root
    - group: root
    - mode: 644

"backup.timer":
  service.running:
    - enable: true

"backup-reload":
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: /usr/lib/systemd/system/*
