{%- set os=grains['os'] -%}

pacman-contrib:
  pkg.installed

/root/scripts/getmirrors.sh:
  file.managed:
    - makedirs: true
    - source: salt://roles/maintain/mirrorlist/getmirrors.sh
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/getmirrors.service":
  file.managed:
    - source: salt://roles/maintain/mirrorlist/getmirrors.service
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/getmirrors.timer":
  file.managed:
    - source: salt://roles/maintain/mirrorlist/getmirrors.timer
    - user: root
    - group: root
    - mode: 644

"getmirrors.timer":
  service.running:
    - enable: true

/srv/salt/prod/states/mirrors.list:
  file.symlink:
    - target: /root/scripts/mirrors.list

/srv/salt/prod/states/mirrors.jinja:
  file.symlink:
    - target: /root/scripts/mirrors.jinja

"mirrors-reload":
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: /usr/lib/systemd/system/*
