#! /bin/bash
DUMP_DIR="/dbdump/"
MYSQL_USER="dumpdb"
MYSQL_PASSWORD="{%- include 'secure/passwords/dumpdb_password.txt' -%}"

mkdir -p "$DUMP_DIR"

databases=`mysql --user=$MYSQL_USER -p$MYSQL_PASSWORD -e "SHOW DATABASES;" | grep -Ev "(Database|information_schema|performance_schema)"`

echo $databases
for db in $databases; do
  mysqldump --force --opt --user=$MYSQL_USER -p$MYSQL_PASSWORD --databases $db > "$DUMP_DIR/$db.sql"
done
