#Note: Must run on CentOS currently

/etc/yum.repos.d/openproject-ce.repo:
  file.managed:
    - source: https://dl.packager.io/srv/opf/openproject-ce/stable/7/installer/el/7.repo
    - skip_verify: true

openproject:
  pkg.installed:
    - name: openproject

openproject-apache:
  file.managed:
    - name: /etc/httpd/conf.d/openproject.conf
    - source: salt://roles/maintain/openproject/apache.conf

openproject-apache-port:
  file.replace:
    - name: /etc/httpd/conf/httpd.conf
    - pattern: '^Listen 80$'
    - repl: 'Listen 8080'

openproject-apache-service:
  service.running:
    - name: httpd
    - enable: true
    - watch:
      - file: openproject-apache
      - file: openproject-apache-port
