#install teampass - needs to be changed to being built in the aurrepo as soon as Marcin updates the dependencies to not include mysql
teampass_/etc/pacman.conf:
  file.append:
    - name: /etc/pacman.conf
    - source: salt://roles/maintain/pass/temp-repo.conf

install_teampass:
  pkg.installed:
    - name: teampass

teampass_php-gd:
  pkg.installed:
    - name: php-gd

teampass_php-fpm:
  pkg.installed:
    - name: php-fpm
  service.running:
    - name: php-fpm
    - enable: true
    - watch:
      - file: /etc/php/php.ini

/etc/php/php.ini:
  file.managed:
    - source: salt://roles/maintain/pass/php.ini

/etc/nginx/conf.d/teampass.conf:
  file.managed:
    - source: salt://roles/maintain/pass/nginx.conf

#change ownership on directories
"/usr/share/webapps/teampass/includes/config/":
  file.directory:
    - user: http
    - group: http
"/usr/share/webapps/teampass/includes/avatars/":
  file.directory:
    - user: http
    - group: http
"/usr/share/webapps/teampass/includes/libraries/csrfp/libs/":
  file.directory:
    - user: http
    - group: http
"/usr/share/webapps/teampass/includes/libraries/csrfp/js/":
  file.directory:
    - user: http
    - group: http
"/usr/share/webapps/teampass/includes/libraries/csrfp/log/":
  file.directory:
    - user: http
    - group: http

"/teampass":
  file.directory:
    - user: http
    - group: http
    - dir_mode: 700
    - file_mode: 600
    - recurse:
      - user
      - group
      - mode
