{%- set os=grains['os'] -%}

salt-minion:
{%- if os=="CentOS" or os=="RedHat" %}
  pkg.installed: []
{%- elif os=="Arch" or os=="Manjaro" %}
  pkg.installed:
    - pkgs:
      - salt
{%- endif %}
  service.running:
    - enable: true
    - watch:
      - file: /etc/salt/minion

/etc/salt/minion:
  file.managed:
    - source: salt://roles/maintain/saltminion/minion
    - user: root
    - group: root
    - mode: 644
    - template: jinja

"/root/scripts/highstate.sh":
  file.managed:
    - source: salt://roles/maintain/saltminion/highstate.sh
    - user: root
    - group: root
    - mode: 644
    - makedirs: true

"/lib/systemd/system/highstate.service":
  file.managed:
    - source: salt://roles/maintain/saltminion/highstate.service
    - user: root
    - group: root
    - mode: 644

"/lib/systemd/system/highstate.timer":
  file.managed:
    - source: salt://roles/maintain/saltminion/highstate.timer
    - user: root
    - group: root
    - mode: 644

"highstate.timer":
  service.running:
    - enable: true

"highstate-reload":
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: /lib/systemd/system/*
