transmission-pkg:
  pkg.installed:
    - name: transmission-cli

transmission-settings:
  file.symlink:
    - name: /var/lib/transmission/.config/transmission-daemon/settings.json
    - target: /mnt/video/transmission/settings.json
    - force: true

/opt/scripts/restart_transmission.sh:
  file.managed:
    - source: salt://roles/maintain/transmission/restart_transmission.sh
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true

/opt/resolv.conf:
  file.managed:
    - source: salt://roles/maintain/transmission/resolv.conf
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true

/etc/systemd/system/restart_transmission.service:
  file.managed:
    - source: salt://roles/maintain/transmission/restart_transmission.service
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true

/etc/systemd/system/restart_transmission.timer:
  file.managed:
    - source: salt://roles/maintain/transmission/restart_transmission.timer
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true
transmission_timer:
  service.running:
    - name: restart_transmission.timer
    - enable: true
