{%- set os=grains['os'] -%}

yt-python:
  pkg.installed:
    - pkgs:
      - python
      - python-requests

"/usr/lib/systemd/system/ytdownloader.service":
  file.managed:
    - source: salt://roles/maintain/ytdownloader/ytdownloader.service
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/ytdownloader.timer":
  file.managed:
    - source: salt://roles/maintain/ytdownloader/ytdownloader.timer
    - user: root
    - group: root
    - mode: 644

"ytdownloader.timer":
  service.running:
    - enable: true

"ytdownloader-reload":
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: /usr/lib/systemd/system/*
