monitoring_pkgs:
  pkg.installed:
    - pkgs:
{% if grains['os_family'] == 'Arch' %}
      - monitoring-plugins
{% else %}
      - nagios-plugins
      - nagios-plugins-all
{% endif %}
      - nrpe
      - sysstat


{% if grains['os_family'] == 'Arch' %}
/etc/nrpe/nrpe.cfg:
{% else %}
/etc/nagios/nrpe.cfg:
{% endif %}
  file.managed:
    - source: salt://systems/core/monitoring/nrpe.cfg
    - user: root
    - group: root
    - mode: 644
    - template: jinja

/etc/nrpe/commands.d:
  file.recurse:
    - source: salt://systems/core/monitoring/commands.d
    - user: root
    - group: root
    - clean: true
    - makedirs: true
    - file_mode: 644
    - dir_mode: 755

/opt/scripts/nrpe:
  file.recurse:
    - source: salt://systems/core/monitoring/custom
    - user: root
    - group: root
    - clean: true
    - makedirs: true
    - file_mode: 755
    - dir_mode: 755

monitoring_nrpe:
  service.running:
    - name: nrpe
    - enable: true
    - watch:
      - file: /etc/nrpe/commands.d
{% if grains['os_family'] == 'Arch' %}
      - file: /etc/nrpe/nrpe.cfg
{% else %}
      - file: /etc/nagios/nrpe.cfg
{% endif %}
